/* vi: set et sw=4 ts=4 cino=t0,(0: */

#include "qmaemo5homescreenadaptor.h"
#include "webwidget.h"

#include <QtGui>
#include <syslog.h>

static void oculoMsgHandler(QtMsgType type, const char *msg)
{
    switch (type) {
    case QtDebugMsg:
        syslog(LOG_DEBUG, "Debug: %s\n", msg);
        break;
    case QtWarningMsg:
        syslog(LOG_WARNING, "Warning: %s\n", msg);
        break;
    case QtCriticalMsg:
        syslog(LOG_WARNING, "Critical: %s\n", msg);
        break;
    case QtFatalMsg:
        syslog(LOG_WARNING, "Fatal: %s\n", msg);
        abort();
    }
}

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    qInstallMsgHandler(oculoMsgHandler);
    QCoreApplication::setOrganizationName("mardy.it");

    WebWidget w;
    QMaemo5HomescreenAdaptor *adaptor = new QMaemo5HomescreenAdaptor(&w);
    adaptor->setSettingsAvailable(true);
    QObject::connect(adaptor, SIGNAL(settingsRequested()),
                     &w, SLOT(showSettingsDialog()));
    QObject::connect(adaptor, SIGNAL(homescreenChanged(bool)),
                     &w, SLOT(homeScreenChanged(bool)));
    w.show();

    app.exec();
}

