/* vi: set et sw=4 ts=4 cino=t0,(0: */
#include "webwidget.h"

#include <QApplication>
#include <QDebug>
#include <QTextOption>

#define BORDER_WIDTH 4

WebWidget::WebWidget():
    QAbstractButton()
{
    setAttribute(Qt::WA_TranslucentBackground);
    //setAttribute(Qt::WA_PaintOnScreen);
}

WebWidget::~WebWidget()
{
}

void WebWidget::paintBackground(QPainter &p)
{
    p.setBrush(QColor(0, 0, 0, 196));
    p.setPen(QColor(64, 32, 255, 196));
    p.drawRoundedRect(rect().adjusted(0, 0, -1, -1), 4, 4);
}

void WebWidget::paintUnconfigured(QPainter &p)
{
    paintBackground(p);

    QTextOption option(Qt::AlignCenter);
    p.setPen(QColor(220, 220, 220));
    p.drawText(rect(),
               tr("Please configure the widget"),
               option);
}

void WebWidget::paintText(QPainter &p, const QString &text)
{
    QRect rect = this->rect();

    rect.setHeight(32);
    QTextOption option(Qt::AlignCenter);
    p.setPen(QColor(200, 200, 200));
    p.drawText(rect, text, option);
}

void WebWidget::paintEvent(QPaintEvent *event)
{
    Q_UNUSED(event);
    QPainter p(this);

    paintUnconfigured(p);

    p.end();
}

void WebWidget::showSettingsDialog()
{
    qDebug() << Q_FUNC_INFO;
}

void WebWidget::homeScreenChanged(bool visible)
{
    qDebug() << Q_FUNC_INFO << visible;
    update();
}

