/* vi: set et sw=4 ts=4 cino=t0,(0: */
#ifndef WEBWIDGET_H
#define WEBWIDGET_H

#include <QAbstractButton>
#include <QPixmap>
#include <QtGui/qpainter.h>

class WebWidget: public QAbstractButton
{
    Q_OBJECT

public:
    WebWidget();
    ~WebWidget();

    QSize sizeHint() const
    {
        return QSize(300, 200);
    }

public slots:
    void showSettingsDialog();
    void homeScreenChanged(bool visible);

protected:
    void paintEvent(QPaintEvent *event);

private:
    void paintBackground(QPainter &p);
    void paintUnconfigured(QPainter &p);
    void paintLoading(QPainter &p);
    void paintLoaded(QPainter &p);
    void paintLoadError(QPainter &p);
    void paintExpired(QPainter &p);
    void paintText(QPainter &p, const QString &text);
    void checkExpiration();
    bool isBeingConfigured() const;

private:
    QPixmap image;
};

#endif
